Package: org.gradle.play

## [Java] Interface JvmClasses

- org.gradle.play.JvmClasses

- All Superinterfaces:
    Buildable, BuildableModelElement

  A set of classes and resources that operate together.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addResourceDir(File resourceDir)` Add a resource directory to this binary.
    `File` | `getClassesDir()` The classes directory for this binary.
    `Set<File>` | `getResourceDirs()` A set of resource directories for this binary.
    `void` | `setClassesDir(File classesDir)` Sets the classes directory for this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`
    `interface Buildable` | `getBuildDependencies`

- - ### Method Detail

    - #### public void addResourceDir(File resourceDir)

      Add a resource directory to this binary.

    - #### public File getClassesDir()

      The classes directory for this binary.

    - #### public Set<File> getResourceDirs()

      A set of resource directories for this binary.

    - #### public void setClassesDir(File classesDir)

      Sets the classes directory for this binary.